+ Add Question

Firefox Support v 4+?

MF

Hello. Are there any plans for a Mozilla Firefox extension for browser versions 4 & up?

All responses

David Trey staff
Replied on Jan 10, 2012 - 05:48

Hello Michael,

you can download our Todoist for Firefox plugin here: http://todoist.com/firefox

It's compatible with Firefox 3+ including the latest Firefox 9.0.1.

If you're experiencing issues with this plugin, please tell me - which version of Firefox are you using?


Best regards,
David